Subject: Re: bug#38565: Cannot run pre-compiled Firefox
From: Ricardo Wurmus <[email-masked]>
To: Arne Babenhauserheide <[email-masked]>
Cc: Efraim Flashner <[email-masked]>, [email-masked]
Date: Sun, 17 May 2020 15:52:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Arne Babenhauserheide <[email-masked]> writes:

> Efraim Flashner <[email-masked]> writes:
>
>> If it worked until about 2 months ago it might be related to the glibc
>> bump. One thing you could do is create a profile from before the
>> core-updates merge and LD_PRELOAD from there.
>
> How can I do that? Can I simply specify the commit to use?
>
>> Not an immediate solution, but it would be nice if they provided a
>> flatpack image.
>
> Looks like this already exists:
> https://firefox-flatpak.mojefedora.cz/
>
> Thank you!
>
> … but it segfaults:

FWIW, this is an upstream flatpak bug.  See the discussions here:

https://issues.guix.gnu.org/35591
https://github.com/flatpak/flatpak/issues/3612

I’m closing this issue because you have confirmed that using Firefox
with Flatpak works fine for you.

-- 
Ricardo